Bug 948669 - Review Request: nodejs-hawk - HTTP Hawk authentication scheme
Review Request: nodejs-hawk - HTTP Hawk authentication scheme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 949128 949457 949474 949485
Blocks: 948659
  Show dependency treegraph
 
Reported: 2013-04-04 22:34 EDT by T.C. Hollingsworth
Modified: 2013-04-25 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 09:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-04-04 22:34:44 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-hawk.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-hawk-0.11.1-1.fc18.src.rpm
FAS Username: patches
Description:
Hawk is an HTTP authentication scheme using a message authentication code (MAC) algorithm to provide partial HTTP request cryptographic verification
Comment 1 Tom Hughes 2013-04-05 19:07:44 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package has unsatisfied dependencies:

           Requires: npm(sntp) < 0.2
           Requires: npm(sntp) >= 0.1
           Requires: npm(boom) >= 0.3
           Requires: npm(hoek) < 0.8
           Requires: npm(boom) < 0.4
           Requires: npm(cryptiles) >= 0.1
           Requires: npm(hoek) >= 0.7

- Rpmlint issues:

nodejs-hawk.noarch: W: incoherent-version-in-changelog 0.2.0-1 ['0.11.1-1.fc20', '0.11.1-1']
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/uri.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/images/hawk.png
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/index.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/package.json
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/example/usage.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/images/logo.png
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/README.md
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/server.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/index.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/LICENSE
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/crypto.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/browser.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/utils.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/client.js


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.29 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.29
INFO: Mock Version: 1.1.29
Start: lock buildroot
INFO: installing package(s): /home/tom/948669-nodejs-hawk/results/nodejs-hawk-0.11.1-1.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/948669-nodejs-hawk/results/nodejs-hawk-0.11.1-1.fc20.noarch.rpm']
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(sntp) < 0.2
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(sntp) >= 0.1
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(boom) >= 0.3
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(hoek) < 0.8
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(boom) < 0.4
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(cryptiles) >= 0.1
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(hoek) >= 0.7
 You could try using --skip-broken to work around the problem
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: nodejs(engine) < 0.9
           Installed: nodejs-0.10.0-3.fc20.x86_64 (@fedora)
               nodejs(engine) = 0.10.0
           Available: nodejs-0.10.3-2.fc20.x86_64 (fedora)
               nodejs(engine) = 0.10.3
Error: Package: nodejs-hawk-0.11.1-1.fc20.noarch (/nodejs-hawk-0.11.1-1.fc20.noarch)
           Requires: npm(cryptiles) < 0.2
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-hawk-0.11.1-1.fc20.noarch.rpm
nodejs-hawk.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
nodejs-hawk.noarch: W: incoherent-version-in-changelog 0.2.0-1 ['0.11.1-1.fc20', '0.11.1-1']
nodejs-hawk.noarch: W: only-non-binary-in-usr-lib
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/uri.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/images/hawk.png
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/index.js
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/sntp /usr/lib/node_modules/sntp
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/package.json
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/boom /usr/lib/node_modules/boom
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/example/usage.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/images/logo.png
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/README.md
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/server.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/index.js
nodejs-hawk.noarch: W: spurious-executable-perm /usr/share/doc/nodejs-hawk-0.11.1/LICENSE
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/crypto.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/browser.js
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/cryptiles /usr/lib/node_modules/cryptiles
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/hoek /usr/lib/node_modules/hoek
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/utils.js
nodejs-hawk.noarch: E: script-without-shebang /usr/lib/node_modules/hawk/lib/client.js
1 packages and 0 specfiles checked; 9 errors, 12 warnings.




Requires
--------
nodejs-hawk (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(boom)
    npm(cryptiles)
    npm(hoek)
    npm(sntp)



Provides
--------
nodejs-hawk:
    nodejs-hawk
    npm(hawk)



MD5-sum check
-------------
http://registry.npmjs.org/hawk/-/hawk-0.11.1.tgz :
  CHECKSUM(SHA256) this package     : 8f71dd2beaf5f93042897c32b7868d7a4cb4fbe1f4602252ddcbd4b9b76e9c1a
  CHECKSUM(SHA256) upstream package : 8f71dd2beaf5f93042897c32b7868d7a4cb4fbe1f4602252ddcbd4b9b76e9c1a


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 948669
Comment 2 T.C. Hollingsworth 2013-04-08 05:35:11 EDT
Thanks for the review!

Sorry about missing the deps.  They're all now blocking this bug.

I also fixed the rpmlint warnings:
Spec: http://patches.fedorapeople.org/npm/nodejs-hawk.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-hawk-0.11.1-2.fc18.src.rpm

rpmlint (all false positive now):
nodejs-hawk.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
nodejs-hawk.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
nodejs-hawk.noarch: W: only-non-binary-in-usr-lib
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/sntp /usr/lib/node_modules/sntp
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/boom /usr/lib/node_modules/boom
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/cryptiles /usr/lib/node_modules/cryptiles
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/hoek /usr/lib/node_modules/hoek
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 3 Tom Hughes 2013-04-08 16:12:19 EDT
The updated src.rpm seems to be missing?
Comment 4 T.C. Hollingsworth 2013-04-09 04:58:19 EDT
It's there now.  Sorry about that.
Comment 5 Tom Hughes 2013-04-09 05:11:35 EDT
There is a 0.12.1 out now...
Comment 7 Tom Hughes 2013-04-09 05:23:37 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
Looks good now. Package approved.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-hawk-0.12.1-1.fc20.noarch.rpm
nodejs-hawk.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
nodejs-hawk.noarch: W: only-non-binary-in-usr-lib
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/sntp /usr/lib/node_modules/sntp
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/boom /usr/lib/node_modules/boom
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/cryptiles /usr/lib/node_modules/cryptiles
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/hoek /usr/lib/node_modules/hoek
1 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-hawk
nodejs-hawk.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
nodejs-hawk.noarch: W: only-non-binary-in-usr-lib
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/sntp /usr/lib/node_modules/sntp
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/boom /usr/lib/node_modules/boom
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/cryptiles /usr/lib/node_modules/cryptiles
nodejs-hawk.noarch: W: dangling-symlink /usr/lib/node_modules/hawk/node_modules/hoek /usr/lib/node_modules/hoek
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-hawk (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(boom)
    npm(cryptiles)
    npm(hoek)
    npm(sntp)



Provides
--------
nodejs-hawk:
    nodejs-hawk
    npm(hawk)



MD5-sum check
-------------
http://registry.npmjs.org/hawk/-/hawk-0.12.1.tgz :
  CHECKSUM(SHA256) this package     : f7d2f354f5f5ed1b61a99ad0faf4f2e98e214e2c2fe9c174ca22fc46dfdee9be
  CHECKSUM(SHA256) upstream package : f7d2f354f5f5ed1b61a99ad0faf4f2e98e214e2c2fe9c174ca22fc46dfdee9be


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 948669
Comment 8 T.C. Hollingsworth 2013-04-09 05:30:53 EDT
New Package SCM Request
=======================
Package Name: nodejs-hawk
Short Description: HTTP Hawk authentication scheme
Owners: patches
Branches: f19 f18 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-04-09 07:58:35 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-04-11 01:50:14 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, npm-1.2.17-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-1.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19,nodejs-forever-agent-0.2.0-1.fc19,nodejs-cryptiles-0.2.0-1.fc19,nodejs-hoek-0.8.1-1.fc19,nodejs-sntp-0.2.1-1.fc19,nodejs-hawk-0.12.1-1.fc19,nodejs-request-2.16.6-2.fc19
Comment 11 Fedora Update System 2013-04-11 02:09:48 EDT
nodejs-oauth-sign-0.2.0-1.fc18, nodejs-tunnel-agent-0.2.0-1.fc18, nodejs-json-stringify-safe-4.0.0-2.fc18, nodejs-aws-sign-0.2.0-1.fc18, nodejs-tobi-cookie-0.2.0-1.fc18, nodejs-npm-registry-client-0.2.20-1.fc18, nodejs-tar-0.1.17-1.fc18, nodejs-lru-cache-2.3.0-1.fc18, node-gyp-0.9.5-1.fc18, npm-1.2.17-1.fc18, nodejs-forever-agent-0.2.0-1.fc18, nodejs-cryptiles-0.2.0-1.fc18, nodejs-hoek-0.8.1-1.fc18, nodejs-sntp-0.2.1-1.fc18, nodejs-hawk-0.12.1-1.fc18, nodejs-request-2.16.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5154/nodejs-tobi-cookie-0.2.0-1.fc18,nodejs-npm-registry-client-0.2.20-1.fc18,nodejs-tar-0.1.17-1.fc18,nodejs-lru-cache-2.3.0-1.fc18,node-gyp-0.9.5-1.fc18,npm-1.2.17-1.fc18,nodejs-json-stringify-safe-4.0.0-2.fc18,nodejs-aws-sign-0.2.0-1.fc18,nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18,nodejs-forever-agent-0.2.0-1.fc18,nodejs-cryptiles-0.2.0-1.fc18,nodejs-hoek-0.8.1-1.fc18,nodejs-sntp-0.2.1-1.fc18,nodejs-hawk-0.12.1-1.fc18,nodejs-request-2.16.6-2.fc18
Comment 12 Fedora Update System 2013-04-11 12:35:42 EDT
Package nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, npm-1.2.17-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-json-stringify-safe-4.0.0-2.fc19 nodejs-aws-sign-0.2.0-1.fc19 nodejs-oauth-sign-0.2.0-1.fc19 nodejs-tunnel-agent-0.2.0-1.fc19 nodejs-tobi-cookie-0.2.0-1.fc19 nodejs-npm-registry-client-0.2.20-1.fc19 nodejs-tar-0.1.17-1.fc19 nodejs-lru-cache-2.3.0-1.fc19 node-gyp-0.9.5-1.fc19 npm-1.2.17-1.fc19 nodejs-forever-agent-0.2.0-1.fc19 nodejs-cryptiles-0.2.0-1.fc19 nodejs-hoek-0.8.1-1.fc19 nodejs-sntp-0.2.1-1.fc19 nodejs-hawk-0.12.1-1.fc19 nodejs-request-2.16.6-2.fc19 nodejs-boom-0.4.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-1.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19,nodejs-forever-agent-0.2.0-1.fc19,nodejs-cryptiles-0.2.0-1.fc19,nodejs-hoek-0.8.1-1.fc19,nodejs-sntp-0.2.1-1.fc19,nodejs-hawk-0.12.1-1.fc19,nodejs-request-2.16.6-2.fc19,nodejs-boom-0.4.0-1.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-04-25 09:57:47 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, npm-1.2.17-5.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19, nodejs-read-package-json-0.3.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.